<?php require "../../common/html.php"; ?>

<dl>
	<dt><a class="ns button" href="zone">Gérer ses zones</a></dt>
	<dd>
		Pour qu'elle soit gérée par le serveur de noms de Niver
	</dd>
	<dt><a class="ns button" href="dnssec">Obtenir les enregistrements <abbr title="Delegation Signer">DS</abbr></a></dt>
	<dd>
		À indiquer à la zone parente pour activer <abbr title="Domain Name System Security Extensions">DNSSEC</abbr>
	</dd>
	<dt><a class="ns button" href="ns">Enregistrement <abbr title="Name Server">NS</abbr></a></dt>
	<dd>
		Indiquer le serveur de noms d'une zone
	</dd>
	<dt><a class="ns button" href="ip">Enregistrements A et AAAA</a></dt>
	<dd>
		Indiquer l'adresse IP d'un domaine
	</dd>
	<dt><a class="ns button" href="txt">Enregistrement TXT</a></dt>
	<dd>
		Associer du texte à un domaine
	</dd>

	<dt><a class="ns button" href="srv">Enregistrement SRV</a></dt>
	<dd>
		Indiquer un serveur pour un domaine
	</dd>
	<dt><a class="ns button" href="mx">Enregistrement <abbr title="Mail eXchanger">MX</abbr></a></dt>
	<dd>
		Indiquer le serveur mail pour un domaine
	</dd>
	<dt><a class="ns button" href="caa">Enregistrement <abbr title="Certification Authority Authorization">CAA</abbr></a></dt>
	<dd>
		Indiquer les seules autorités de certifications autorisée à signer les domaines
	</dd>
	<dt><a class="ns button" href="tlsa">Enregistrement <abbr title="Transport Layer Security Association">TLSA</abbr></a></dt>
	<dd>
		Mettre en place <abbr title="DNS-based Authentication of Named Entities">DANE</abbr> en indiquant l'empreinte d'un certificat <abbr title="Transport Layer Security">TLS</abbr>
	</dd>
	<dt><a class="ns button" href="sshfp">Enregistrement <abbr title="Secure SHell FingerPrint">SSHFP</abbr></a></dt>
	<dd>
		Indiquer les empreintes de clés <abbr title="Secure SHell">SSH</abbr> d'un domaine
	</dd>

	<!--
	<dt><a class="ns button" href="loc">Enregistrement LOC</a></dt>
	<dd>
		Indiquer des coordonnées géographiques
	</dd>
	<dt><a class="ns button" href="cname">Enregistrement <abbr title="Canonical NAME">CNAME</abbr></a></dt>
	<dd>
		Définir un domaine comme étant l'alias d'un autre
	</dd>
	<dt><a class="ns button" href="dname">Enregistrement <abbr title="Delegation NAME">DNAME</abbr></a></dt>
	<dd>
		Définir les sous-domaines d'un domaine comme étant les alias des sous-domaines d'un autre domaine
	</dd>-->
</dl>

<?php closeHTML(); ?>
